SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Forum/Board/Portal)  >   TikiWiki Vendors:   tikiwiki.org
TikiWiki Input Validation Flaw in ''tiki-featured_link.php'' Permits Frame Injection Attacks
SecurityTracker Alert ID:  1026708
SecurityTracker URL:  http://securitytracker.com/id/1026708
CVE Reference:   CVE-2012-5321   (Links to External Site)
Updated:  Oct 10 2012
Original Entry Date:  Feb 20 2012
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  

Description:   A vulnerability was reported in TikiWiki. A remote user can frame injection attacks.

The 'tiki-featured_link.php' script does not properly filter HTML code from user-supplied input before displaying the input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the TikiWiki software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A demonstration exploit URL is provided:

http://[target]/tiki-featured_link.php?type=f&url=http://[attacker]

The original advisory is available at:

http://st2tea.blogspot.com/2012/02/tiki-wiki-cms-groupware-frame-injection.html

Sony reported this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the TikiWiki software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  info.tiki.org/ (Links to External Site)
Cause:   Input validation error
Underlying OS:   Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Date:  Mon, 20 Feb 2012 17:20:08 +0000
Subject:  tikiwiki


http://st2tea.blogspot.com/2012/02/tiki-wiki-cms-groupware-frame-injection.html


 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC